TIREX-MASTER(1)

NAME
tirex-master - tirex master daemon

SYNOPSIS
tirex-master [OPTIONS]

OPTIONS

-h, --help
    Display help message.

-d, --debug
    Run in debug mode. You'll see the actual messages sent and received and other debug messages.

-f, --foreground
    Run in foreground. E.g. when started from systemd service

-c, --config=DIR
    Use the config directory DIR instead of /etc/tirex.

DESCRIPTION
The tirex master process gets requests for metatiles from mod_tile and other sources, queues them and sends them on to the rendering backends. It has a sophisticated queueing and rendering manager that decides what is to be rendered when.

Unless the --debug option is given, tirex-master will detach from the terminal.

FILES

/etc/tirex/tirex.conf
    The configuration file.

/etc/tirex/renderer/*.conf
    The renderer configuration files.

/etc/tirex/renderer/*/*.conf
    The map configuration files.

/var/log/tirex/jobs.log
    Default location for jobs logfile. It contains one line for each metatile rendered.

SEE ALSO
See the tirex-send manpage for the list of commands you can send to a running tirex-master.

<http://wiki.openstreetmap.org/wiki/Tirex>

AUTHORS
Frederik Ramm <frederik.ramm@geofabrik.de>, Jochen Topf <jochen.topf@geofabrik.de> and possibly others.